Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[Gelöst] Updateproblem mit Guayadeque in opensuse 15.3

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
HPF-84E
Member
Member
Beiträge: 59
Registriert: 8. Dez 2018, 20:45

[Gelöst] Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von HPF-84E »

Vor ein paar Tage wurde der Musikplayer Guayadeque beim wöchentlichen Updateprozess erneuert.
Seit dem startet die Version guayadeque-0.4.6-pm153.2.12.x86_64.rpm nicht mehr.

Link zu Packman http://packman.links2linux.de/package/guayadeque

Aufgrund der unübersichtlichen Abhängigkeiten habe ich mich dafür entschieden
die Version für opensuse 15.2 zu installieren. Diese ist komischerweise auch
eine Nummer höher in der Hierarchie und funktioniert einwandfrei.
Da ich auch das Repo eingebunden habe, habe
ich das Paket erst einmal gesperrt mit zypper.

Code: Alles auswählen

zypper al guayadeque
als Root.

Einen Bugreport habe ich an das Packman-Team per E-Mail versand.

Falls das Problem gelöst ist und/oder ich Rückmeldung bekomme werde ich hier
einen weiteren Beitrag schreiben.
Zuletzt geändert von HPF-84E am 18. Sep 2021, 22:43, insgesamt 1-mal geändert.
Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5540
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von tomm.fa »

HPF-84E hat geschrieben: 18. Sep 2021, 20:17Aufgrund der unübersichtlichen Abhängigkeiten habe ich mich dafür entschieden
die Version für opensuse 15.2 zu installieren. Diese ist komischerweise auch
eine Nummer höher in der Hierarchie und funktioniert einwandfrei.
Da ich auch das Repo eingebunden habe, habe
ich das Paket erst einmal gesperrt mit zypper.

Code: Alles auswählen

zypper al guayadeque
als Root.
Wäre es nicht eleganter gewesen die Version aus https://download.opensuse.org/repositor ... Leap_15.3/ zu nehmen?
Linupedia - Wiki des Linux-Club.
Rechner 1: openSUSE Leap 15.3 mit KDE/Plasma, Kernel 5.14.*
Rechner 2: openSUSE Leap 15.3 mit Fluxbox 1.3.7 und Kernel 5.13.*
Rechner 3: openSUSE Leap 15.3, GNOME 3.34 mit Wayland
Rechner 4: PineTab mit Arch Linux
Sauerland
Guru
Guru
Beiträge: 4203
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von Sauerland »

Alles dieselben sourcen, alles schon mehrmals gepatched, nur unterschiedlich oft gebaut.

Nix unterschiedliche Versionen.....

https://pmbs.links2linux.de/package/sho ... guayadeque

Ich schätze mal es liegt an wxwidgets......
Desktop: OpenSUSE Leap 15.3, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.3, Intel-Skylake, Kernel 5.3
Benutzeravatar
HPF-84E
Member
Member
Beiträge: 59
Registriert: 8. Dez 2018, 20:45

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von HPF-84E »

tomm.fa hat geschrieben: 18. Sep 2021, 21:07
Wäre es nicht eleganter gewesen die Version aus https://download.opensuse.org/repositor ... Leap_15.3/ zu nehmen?
Ja, sehr eleganter!
Habe das Packman Repo rausgeschmissen und das Multimediarepo reingepackt. Scheint die gleiche Version zu sein und funktioniert auch einwandfrei. :thumbs:
Hätte man (ich) auch gleich drauf kommen können. :roll:
Sauerland hat geschrieben: 18. Sep 2021, 21:30 Alles dieselben sourcen, alles schon mehrmals gepatched, nur unterschiedlich oft gebaut.

Nix unterschiedliche Versionen.....

https://pmbs.links2linux.de/package/sho ... guayadeque

Ich schätze mal es liegt an wxwidgets......
Ja, viele können bauen aber nicht richtig anscheinend.
Unter Ubuntu und Solus zum Beispiel ist das Einlesen der Datenbank und nach hinzufügen von neuen Datein und dem dann aktualisieren der Datenbank grauenhaft langsam. Nur unter Suse wenn wir bei Linux bleiben ist das alles völlig in Ordnung. Also scheint schon mal Suse was richtig zu machen!
Bei mir sind das fast 1 TB an Daten (mp3,flac und wav). Alle anderen außer deadbeef scheitern an solchen Datengrößen.

Die bemängelte Version benutzt noch wxwidget... gtk2 ... Könnte daran liegen. Keinen Plan. Ich meine nur das Gtk2 so gut wie tot ist.

So bin ich erstmal das Packman Repo los und habe alles so wie vorher.

Danke :)
Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5540
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von tomm.fa »

HPF-84E hat geschrieben: 18. Sep 2021, 21:50Habe das Packman Repo rausgeschmissen ...
HPF-84E hat geschrieben: 18. Sep 2021, 21:50So bin ich erstmal das Packman Repo los und habe alles so wie vorher.
Ich hoffe nur das für openSUSE Leap 15.2 und nicht das für 15.3.
Linupedia - Wiki des Linux-Club.
Rechner 1: openSUSE Leap 15.3 mit KDE/Plasma, Kernel 5.14.*
Rechner 2: openSUSE Leap 15.3 mit Fluxbox 1.3.7 und Kernel 5.13.*
Rechner 3: openSUSE Leap 15.3, GNOME 3.34 mit Wayland
Rechner 4: PineTab mit Arch Linux
Benutzeravatar
HPF-84E
Member
Member
Beiträge: 59
Registriert: 8. Dez 2018, 20:45

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von HPF-84E »

tomm.fa hat geschrieben: 18. Sep 2021, 21:58
HPF-84E hat geschrieben: 18. Sep 2021, 21:50Habe das Packman Repo rausgeschmissen ...
HPF-84E hat geschrieben: 18. Sep 2021, 21:50So bin ich erstmal das Packman Repo los und habe alles so wie vorher.
Ich hoffe nur das für openSUSE Leap 15.2 und nicht das für 15.3.
Wieso? Ich habe ja 15.3 Verstehe ich jetzt nicht. :D

Code: Alles auswählen

jag@install:~> zypper lr -d
#  | Alias                                        | Name                                                                                        | Enabled   | GPG Check       | Refresh        | Priority  | Type   | URI                                                                             | Serv->
---+----------------------------------------------+---------------------------------------------------------------------------------------------+-----------+-----------------+----------------+-----------+--------+---------------------------------------------------------------------------------+-------
 1 | google-chrome                                | google-chrome                                                                               | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                             | 
 2 | openSUSE_Leap_15.3                           | Multimedia Applications (openSUSE_Leap_15.3)                                                | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | https://download.opensuse.org/repositories/multimedia:/apps/openSUSE_Leap_15.3/ | 
 3 | opensuse-guide.org-openSUSE_Leap_$releasever | Libdvdcss Repository                                                                        | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.3/                              | 
 4 | repo-backports-debug-update                  | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/update/leap/15.3/backports_debug/                  | 
 5 | repo-backports-update                        | Update repository of openSUSE Backports                                                     | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.3/backports/                        | 
 6 | repo-debug                                   | Debug Repository                                                                            | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/15.3/repo/oss/             | 
 7 | repo-debug-non-oss                           | Debug Repository (Non-OSS)                                                                  | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss/         | 
 8 | repo-debug-update                            | Update Repository (Debug)                                                                   | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/15.3/oss/                        | 
 9 | repo-debug-update-non-oss                    | Update Repository (Debug, Non-OSS)                                                          | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/15.3/non-oss/                    | 
10 | repo-non-oss                                 | Non-OSS Repository                                                                          | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/               | 
11 | repo-oss                                     | Main Repository                                                                             | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/distribution/leap/15.3/repo/oss/                   | 
12 | repo-sle-debug-update                        | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/15.3/sle/                        | 
13 | repo-sle-update                              | Update repository with updates from SUSE Linux Enterprise 15                                | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.3/sle/                              | 
14 | repo-source                                  | Source Repository                                                                           | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/15.3/repo/oss/            | 
15 | repo-update                                  | Main Update Repository                                                                      | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.3/oss/                              | 
16 | repo-update-non-oss                          | Update Repository (Non-Oss)                                                                 | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/15.3/non-oss/ 
Sauerland
Guru
Guru
Beiträge: 4203
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von Sauerland »

Ich hätte das Packman Repo behalten.....

Sind mehr Programme drin......
Desktop: OpenSUSE Leap 15.3, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.3, Intel-Skylake, Kernel 5.3
Benutzeravatar
HPF-84E
Member
Member
Beiträge: 59
Registriert: 8. Dez 2018, 20:45

Re: Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von HPF-84E »

Sauerland hat geschrieben: 18. Sep 2021, 22:27 Ich hätte das Packman Repo behalten.....

Sind mehr Programme drin......
Sauerland moppert nicht über die Repoliste. Top :fies:

Ach, ich habe ja alles was ich brauche. Also...
Wenn der Fall eintreten sollte da frage ich noch mal nach, hier.

Erstma is mich ja jeholfen. :D

Danke an alle! :thumbs:
Benutzeravatar
HPF-84E
Member
Member
Beiträge: 59
Registriert: 8. Dez 2018, 20:45

Re: [gelöst] Updateproblem mit Guayadeque in opensuse 15.3

Beitrag von HPF-84E »

Nachtrag:

wie im ersten Beitrag möchte ich Rückmeldung in Bezug des Packman Repos geben. Dort hatte ich mich per E-Mail gemeldet. Diese E-Mail ist an eine Person weiter gereicht worden von der ich wiederum Rückmeldung erhalten habe das ich es nochmal Versuchen sollte.
Wie auch auf der Startseite von Packman schwer zu übersehen ist ist eine neue Version erschienen mit der alles wieder reibungslos funktioniert.

Im Multimedia Repo von Suse ist auch eine neue Version erschienen die ebenfalls funktioniert.
Beide Versionen sollten Baugleich sein bezüglich der Abhängigkeiten.

Toll das die Community funktioniert. :cuinlove:
Antworten